function out = momfunc_Equidep( U , q )

% Function to compute the average pair-wise rank correlation and quantile
% dependence


[T,N] = size(U);

if nargin<2 || isempty(q)
    q = [0.05,0.1,0.90,0.95];
end
Q = length(q);

m = zeros(Q+1,1) ;

for i = 1:(N-1)
    for j = i+1:N        
        m(1) = m(1) + sum(   mSrho( U(:,i), U(:,j) )      )/T ;
        m(2) = m(2) + sum(   mQdep( U(:,i), U(:,j), q(1) ) )/T ;
        m(3) = m(3) + sum(   mQdep( U(:,i), U(:,j), q(2) ) )/T ;
        m(4) = m(4) + sum(   mQdep( U(:,i), U(:,j), q(3) ) )/T ;
        m(5) = m(5) + sum(   mQdep( U(:,i), U(:,j), q(4) ) )/T ;
    end
end

out = m/(N*(N-1)/2) ;

 

